Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetBestRowIdentifier

java.lang.Object
org.firebirdsql.jdbc.metadata.GetBestRowIdentifier

public final class GetBestRowIdentifier extends Object
Provides the implementation of `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetBestRowIdentifier`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getBestRowIdentifier

public ResultSet getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable) throws SQLException

Throws:
  `SQLException`

### create

public static GetBestRowIdentifier create(DbMetadataMediator mediator)